English

Solved: Suggestions To Fix Error 1 Sapi / Apache2handler / Sapi_apache2.lo

Fix PC Errors in Minutes

  • Step 1: Download and install ASR Pro
  • Step 2: Open ASR Pro and click the "Scan" button
  • Step 3: Click the "Restore" button to start the restoration process
  • This software will fix your PC - download it now to get started.

    If you have sapi / apache2handler / sapi_apache2.lo error 1 on your system, then these instructions should help you fix the problem.

    I planned to build PHP version 5.3.28 using the following commands:

      [root @ server according to php-5.3.28] # ./configure --with-apxs2 = / usr / bin / apxs --with-libdir = lib64 --cache-file =. / config. cache --prefix = / usr / local / php-5.3.28 --with-config-file-path = / usr / local / php-5.3. - disable-debug 28 / etc --with-pic --disable -rpath --with-bz2 --with-curl --with-freetype-dir = / usr / local / php-5.3.28 --with-png -dir = / usr / local / php-5.3.28 - activate -gd-native-ttf --with-gdbm --with-gettext --with-gmp --with-iconv --with-jpeg-dir = / usr / local / php-5.3.28 --with-openssl - -with-pspell --with-pcre-regex --enable-exif --with-zlib --enable-ftp --enable-sockets --enable- sysvsem --enable-sysvshm --enable-sysvmsg --enable - wddx --with-kerberos --with-unixODBC = / usr --enable-shmop --enable-calendar --with-libxml-dir = / usr / local / php-5.3.28 --enable-pcntl -with- imap --with-imap-ssl --enable-mbstring --enable-mbregex --with-gd --enable-bcmath --with-xmlrpc - with-ldap --with-ldap-sasl --with -mysql = / usr --with-mysqli --with-snmp --with-xsl --enable-soap --enable-xmlreader --enable-xm lwriter - -enable-pdo --with-pdo-mysql - with-pear = / usr / local / php-5.3.28 / pear --wit h-mcrypt --with-pdo-sqlite --with-config-fil e - scan-dir = / usr / local / php-5 .3.28 / php.d --enable-cgi...[root @ server php-5.3.28] # do..._ptr_stack.lo Zend / zend_stack.lo Zend / zend_variables.lo Zend / zend.lo Zend / zend_API.lo Zend / zend_extensions.lo Zend / zend_hash.lo Zend / zend_list.lo Zend / zend_indent.loe / Zend_indent_s /. zend.lo lo Zend / zend_multibyte.lo Zend / zend_ts_hash.lo Zend / zend_stream.lo Zend / zend_iterators.lo Zend / zend_interfaces.lo Zend / zend_exceptions.lo Zend. .lo Zend / zend_objects_API.lo Zend / zend_default_classes.lo Zend / zend_execute.lo sapi / apache52handler / apconapache / apache2handler /php_functions.lo.l main / internal_client lexcmrypt -llt -cell lldllber -lamcount -llcdl lfreetype -lpeg -lz- lcurl -lbz2 -lz -lrt -lm -ldl -lnsl -lxml2 -lz -multilevel marketing -ild_apl -lkrylk -lcom lssl -l crypto -lcurl -lxm2 -blood -lz -lz lssl -lcrypto -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lssl -lcryp to -lmysqlclient -lz -lm -lrml -lcl -lsslient -lzlx lm -ldl -lnetsnmp -lrt -lssl -lssl -lcrypto -lm -lxml2 -lz -multilevel marketing -ldl -lc2rypt -lxml -lz -lm -Low density lipids -lxml2 -lz -lm - ldl -lxml2 -lz -lm - ldl -lxml2 -lz - lm -ldl -lxml2 -lz -lm -bad -lxml2 -lz -lm -ldl -lxslt -lxml2 -lz -ldl - lm -lrt -lcrypt -o libphp5.la/ bin / ld: not possible -lltdlCollect2: identification error: ld returned 1 exit statusmake: *** [libphp5.la] Error 1[root @ php-5.3.28 server] # 
      [root @ server php-5.3.28] # clear 
      [root @ server php-5.3.Cat 28] # / etc / redhat-releaseFedora 18 Harness (Cow Shaped) 
      [root @ server php-5.3.28] # rpm -qa | grep -i ltdllibtool-ltdl-2.4.2-7.fc18.x86_64libtool-ltdl-2.4.2-7.fc18.i686 
      [root @ server php-5.3.28] # -h ldconfig | grep ltdl        libltdl.so.7 (libc6, x86-64) => /lib64/libltdl.so.7        libltdl.so.7 (libc6) => /lib/libltdl.so.7[root @ php-5.3.28 server] # 

    sapi/apache2handler/sapi_apache2.lo error 1

      [root @ server php-5.3.28] # mark vii -alh /lib64/libltdl.so.7lrwxrwxrwx 1 root root 16 Feb 14, 2013 /lib64/libltdl.so.7 -> libltdl.so.7.3.0[root @ php-5.3.28 server] # 

    sapi/apache2handler/sapi_apache2.lo error 1

      [root @ server php-5.3.28] # details /etc/ld.so.confInclude ld.so.conf.d / * .conf/lib/libltdl.so.7[root @ php-5.3.28 server] # 

    Fix PC Errors in Minutes

    Looking for a powerful and reliable PC repair tool? Look no further than ASR Pro! This application will quickly detect and fix common Windows errors, protect you from data loss, malware and hardware failure, and optimize your system for maximum performance. So don't struggle with a faulty computer - download ASR Pro today!


      [root @ server php-5.3.28] # ldconfig 

    It didn’t help my life. Same error message with make:

      ... Zend / zend_ini_scanner.lo Zend / zend_alloc.lo Zend / zend_compile.lo Zend / zend_constants.lo Zend / zend_dynamic_array.lo Zend / zend_execute_API.lo Zend / Zend_highlight /. zend_opcode.lo Zend / zend_operators.lo Zend / zend_ptr_stack.lo Zend / zend_stack.lo Zend / zend_variables.lo Zend / zend.lo Zend / zend_API.lo Zend / zend_extensions.lo Zend_zend_list / zend_list / zend_list / zendlist / zendlist Zendin_functions_list / zend.lo Zendin_functions_list / zend.lo Zendin_functions_list / zend.lo Zend lo Zend / zend_sprintf.lo Zend / zend_ini.lo Zend / zend_qsort.lo Zend / zend_multiby.Lendmultiby Zendmulti.lo Zend_multitetete.lo .lo Zend_multibyte.lo. Zend.lo. Zend_stend_hash.lo zend_float.lo Zend / zend_objects.lo Zend / zend_object_handlers.lo Zend / zend_objects_API.lo Zend / zend_default_classes /apache2handler/mod_php5.lo sapler / apache2handler / apache2handler / ap2handler_handler2 aphandi / apache2 .lo sapi / apache2handler / php_functions.lo parameters main / internal_func.lo -lcrypt -lc-client -lexslt -lcrypt -laspell -lpspe ll -lmysqlclientll -lmcrypt -lldapber -lltdl -lmcrypt -lldlld --lmcrypt -lld lldapber -lltdl -lmcrypt -lmcrypt -lldapber -lltdl -lmcrypt -lldapber -lltdl -lmcrypt- lpam -lgmp -lfreetype -lpng -lz -ljpeg -lcurl -lbz2 -lz -lrt -. I. m -ldl -lnsl -lxml2 -lz -lm-low density lipids -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lssl -lcrypto -lcurl -lxml2 -lz -lm -ldl -lssl -lcrylcl -rylptoss l -l -lcrylcl -l -lgo -lssl -lcrylcl -lc -l -lz -lm -ldl -lssl -lcryptyso -lgssl. -lm -lrt -lssl -lcrypto -ldl -lodbc -lmysqlclient -lz-MLM -lrt -lssl -lcrypto -ldl -lxml2 -lz -lm -ldl -lnetsnmp -lrt -lssl - lssl -lcrypto -2lm -lm -lz -lm -brypt -lxml2 -lz -lm -ldl -lxml2 -lz -lm -ldl -lxml2 -lz -lz -ldl -lxml2 -lz -lm -ldl - lxml2 -lz -lm -ldl -lxslt -lxml2 -lz -ldl - lm -lrt -lcrypt -u libphp5.la/ bin / ld: not possible -lltdlCollect2: search error: ld returned 1 exit statusmake: *** [libphp5.la] Error 1 

    I amThe rescue, I am trying to compile Keep PHP 5.3.0 source, install latest Apache 2.2.11 Source ...~ / fossSrc / php-5.3.0> do / bin / sh /home/sysadmin/fossSrc/php-5.3.0/libtool --silent --mode = compile --preserve-dup-deps gcc -I / usr / sfw / apache2 / include -DLINUX = 2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -I / usr / sfw / apr / include -I / usr / sfw / apr-util / include -I / usr / include -Isapi / apache2handler / -I / home / sysadmin / fossSrc / php-5.3.0 / sapi / apache2handler / -DPHP_ATOM_INC -I / home / sysadmin / fossSrc / php-5.3.0 / include -I / home / sysadmin / fossSrc / php-5.3.0 / main -I / home / sysadmin / fossSrc / php-5.3.0 -I / home / sysadmin / fossSrc / php-5.3.0 / ext / date / lib -I / home / sysadmin / fossSrc / php-5.3.0 / ext / ereg / regex -I / usr / include / openssl -i / usr / include / libxml2 -I / usr / sfw / pcre / include -I / usr / sfw / curl / include -I / usr / include / enchant -I / usr / include / freetype2 -I / usr / include / mysql -I / usr / sfw / postgresql / include -I / usr / include / pspell -I / usr / include / tridy -I / home / sysadmin / fossSrc / php-5.3.0 / TSRM -I / home / sysadmin / fossSrc / php-5.3.0 / Zend -I / usr / include -t -O2 -fvisibility = hidden -prefer-non-pic -c /home/sysadmin/fossSrc/php-5.3.0/sapi/apache2handler/sapi_apache2.c -o sapi / apache2handler / sapi_apache2.lo Contained in a file received from /home/sysadmin/fossSrc/php-5.3.0/sapi/apache2handler/sapi_apache2.c:43: /usr/sfw/apache2/include/ap_mpm.h:91: error: expectedDeclaring the specifier , also known as '...' before 'server_rec' /usr/sfw/apache2/include/ap_mpm.h:115: error: expected ';', ',' otherwise before ')' '*' tokenmake: *** [sapi / apache2handler / sapi_apache2.lo] Error 12007-05-09 21:35 /usr/sfw/apache2/include/ap_mpm.hIt would be great if you could give me a hint about this …applause


    • Tracking:
      • Subject: Failed to compile …
        • Posted by Ryan von Schmidt.
    • previous date:Why does ext / zlib have config0.m4 instead of config.m4?
    • Next by date:Re: Failed to compile …
    • Return to the chain:Why does ext / zlib actually have config0.m4 with config.m4?
    • Next by .thread:Link:. .compile. unsuccessful ….
    • Hints:
      • Date
      • Subject

    [Archive Index]AA[UsePHP Tel]AA[PHP Home Page]AA[PHP on Windows]AA[New kernels]AA[PHP Course]AA[Postgresql]AA[PHP Books]AA[PHP Databases]AA[PHP soap]


    This software will fix your PC - download it now to get started.